import { _decorator, Component, Node } from 'cc';
import { base_ui } from '../../fw/base_ui';
const { ccclass, property } = _decorator;

@ccclass('announcement')
export class announcement extends base_ui {
    @property(Node) btn_close:Node = null
    @property(Node) empty:Node = null

    protected start(): void {
        this.onButtonListen(this.btn_close, ()=>{
            this.close()
        })
    }
}

